/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2009. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:  
 * Use, duplication or disclosure restricted by GSA ADP Schedule 
 * Contract with IBM Corp. 
 *******************************************************************************/
({
	'busyLoading': "Loading...",
	'busyRunningSearch': "Running search...",
	'busySavingQuery': "Saving Query '${0}'",
	'buttonAdd': "Add",
	'buttonAddTeamArea': "Add Team or Project Area...",
	'buttonAddUser': "Add User...",
	'buttonAscending': "Ascending",
	'buttonCancel': "Cancel",
	'buttonAddColumn': "Add Column...",
	'buttonDelete': "Delete",
	'buttonDescending': "Descending",
	'buttonDown': "Down",
	'buttonEdit': "Edit",
	'buttonEditTable': "Bulk Edit Items",
	'buttonEditDescription': "Edit Description",
	'buttonFalse': "False",
	'buttonOK': "OK",
	'buttonRemove': "Remove",
	'buttonRun': "Run",
	'buttonSave': "Save",
	'buttonStop': "Stop",
	'buttonSaveCopy': "Save Copy",
	'buttonAddSortColumn': "Add Sort Column...",
	'buttonTrue': "True",
	'buttonUp': "Up",
	'confirmDeleteQuery': "The query will be permanently deleted. Proceed?",
	'copyOfNamePattern': "Copy of ${0}",
	'dialogTitleAddUsers': "Add Users",
	'dialogTitleAddWorkItems': "Add Work Items",
	'dialogTitleSelectAttribute': "Select Attribute",
	'dialogTitleSelectAttributes': "Select Attributes",
	'dialogTitleSelectTeamArea': "Select Team or Project Area",
	'confirmRunOperation' : "Are you sure you want to modify ${0} work items?",
	'errorAttributeAlreadyAdded': "The attribute is already editable.",
	'errorFetchingAttributes': "Loading attributes failed",
	'errorFetchingPresentation': "Loading presentation failed",
	'errorFetchingWidget': "Loading widget failed",
	'errorFetchingSharedQueries': "Error fetching shared queries",
	'errorInvalidParmValue': "Invalid value for 'this.queryType'; valid values are 'shared' or 'myQueries' (saw '${0}')",
	'errorLoadingUsersFailed': "Loading users failed",
	'errorMissingRequiredParmParentController': "Missing required parameter 'this.parentController'",
	'errorMissingRequiredParmQueryType': "Missing required parameter 'this.queryType'",
	'errorNoDetailsAvailable': "No details available",
	'errorTerminatingStep': "Error: ${0} | Details: ${1}", // {error message}: {details}
	'errorTerminatingStepWithoutDetails': "Error: ${0}", // {error message}
	'labelAscending': " (ascending)",
	'labelAddCondition': "Add Condition",
	'labelAddAttributeChange': "Add Attribute Change",
	'labelAddAttributeCondition': "Add attribute condition",
	'labelAddOperatorConditionAND': "Add AND condition",
	'labelAddOperatorConditionOR': "Add OR condition",
	'labelAddUser': "Add User",
	'labelAddWorkItem': "Add WorkItem",
	'labelAND': "AND",
	'labelAllMustMatch': "All must match",
	'labelAllOpenWorkItems': "All Unresolved Work Items",
	'labelAllWorkItems': "All Work Items",
	'labelOR': "OR",
	'labelAnyCanMatch': "Any can match",
	'labelClear': "Clear",
	'labelClose': "Close",
	'labelCreator': "Creator:",
	'labelCurrentDate': "now",
	'labelDescending': " (descending)",
	'labelEmptyDescription': "No decription",
	'labelEmptyOrderColumns': "Default sort order",
	'labelEmptyResultColumns': "Default columns",
	'labelEmptyTeamAreaSharing': "Not shared",
	'labelEmptyUserSharing': "Not shared",
	'labelIndividuallyShared': "Individually Shared",
	'labelCrossRepository': "Quality Management",
	'labelItemsPerPage':  "Items Per Page",
	'labelMore': "More...",
	'labelName': "Name:",
	'labelNext': "Next",
	'labelNone': "None",
	'labelNoneSelected': "None", // no work items selected. 
	'labelNotSet': "Not Set",
	'labelNoWorkItemsFound': "No work items found.",
	'labelNoWorkItemsMatchFilter': "No work items match the current filter criteria.",
	'labelNoResults': "No results. Select items and run an operation from the operations tab to show results.",
	'labelPage1OfX':           "<b>1<\/b> of <b>${0}<\/b>", 	
	'labelPage1OfXWithActual': "<b>1<\/b> of <b>${0}<\/b> (${1})",
	'labelPageXToYOfZ':           "<b>${0}<\/b> - <b>${1}<\/b> of <b>${2}<\/b>",
	'labelPageXToYOfZWithActual': "<b>${0}<\/b> - <b>${1}<\/b> of <b>${2}<\/b> (${3})",
	'labelPredefined': "Predefined",
	'labelPrevious': "Previous",
	'labelPriority': "Priority",
	'labelRun': "Run...",
	'labelSearchToSeeMore': "(Search to see ${0} more)",
	'labelSearchAllOpenWorkItems': "Search All Unresolved Work Items",
	'labelSearchAllWorkItems': "Search All Work Items",
	'labelSeverity': "Severity",
	'labelShowAll':  "Show All",
	'labelToday': "Today",
	'labelTomorrow': "Tomorrow",
	'labelTypeFilterText':  "Type Filter Text",
	'labelWorkItemType': "Work Item Type",
	'labelWorkItem': "${0}: ${1}",
	'labelYesterday': "Yesterday",
	'msgDurationValidation': "Use an abbreviated time unit format such as: '2h' or '1d'",
	'optionDaysAgo': "Days ago",
	'optionDaysFromNow': "Days from now",
	'optionHoursAgo': "Hours ago",
	'optionHoursFromNow': "Hours from now",
	'optionMonthsAgo': "Months ago",
	'optionMonthsFromNow': "Months from now",
	'optionYearsAgo': "Years ago",
	'optionYearsFromNow': "Years from now",
	'promptOperationCompleteRefresh': "Operation complete. The query table does not yet show the changes. Refreshing will clear the selections. Do you want to refresh the query?",
	'sectionTitleBulkOperationsNoneSelected': "Edit Multiple Work Items (no work items selected)",
	'sectionTitleBulkOperationsOneSelected': "Edit Multiple Work Items (1 work item selected)",
	'sectionTitleBulkOperations': "Edit Multiple Work Items (${0} work items selected)",
	'sectionTitleBulkOperationsGeneric': "Edit Multiple Work Items",
	'sectionTitleBulkOperationInProgress': "Running... ${0}",
	'sectionTitleDescription': "Description",
	'sectionTitleDetails': "Details",
	'sectionTitleWorkItemQuery': "Work Item Query",
	'sectionTitleResultColumns': "Result Columns",
	'sectionTitleSortOrder': "Sort Order",
	'sectionTitleTeamAreaSharing': "Team and Project Area Sharing",
	'sectionTitleUserSharing': "User Sharing",
	'tabTitleConditions': "Conditions",
	'tabTitleDetails': "Details",
	'titleExportCSV': "Download as Spreadsheet (.csv)",
	'tabTitleResultLayout': "Result Layout",

	'titleAddOperation':  "Add operation on this attribute",
	'titleShowHideBulkOperations': "Edit Multiple Work Items",
	'titleSortingIsDisabled': "Close the operation editor to enable sorting",
	'titleDelete': "Delete",
	'titleEditCurrentQuery': "Edit Current Query",
	'titleEnterNumber': "Please enter a number. <br\/>Multiple numbers can be separated by comma.",
	'titleNewQuery':  "New Query",
	'titleOrderResultsBy': "Refresh and order results by '${0}' (${1})",
	'titleReRunQuery':  "Re-Run Query",
	'titleSearch':  "Search",
	'titleSelectDeselectAll': "Select/Deselect All",
	'titleViewFullReport': "View Full Result Set in Printable Format"
})	