/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2005, 2009. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *******************************************************************************/
dojo.provide("com.ibm.team.apt.web.ui.internal.view.plan.actions.MenuAction"); //$NON-NLS-1$
dojo.require("com.ibm.team.apt.web.ui.internal.view.plan.actions.Action"); //$NON-NLS-1$
dojo.require("com.ibm.team.apt.web.ui.internal.common.Assert"); //$NON-NLS-1$

(function() {
	
var Assert							= com.ibm.team.apt.web.ui.internal.common.Assert;
var Action							= com.ibm.team.apt.web.ui.internal.view.plan.actions.Action;
	
dojo.declare("com.ibm.team.apt.web.ui.internal.view.plan.actions.MenuAction", //$NON-NLS-1$
		[com.ibm.team.apt.web.ui.internal.view.plan.actions.Action], {
	
	constructor: function() {
	},

	// ---- constructor mixed-in properties --------------------------------------------------------------------------------	

	// ---- api ------------------------------------------------------------------------------------------------------------
	
	getStyle: function() {
		return Action.STYLE_DROP_DOWN;
	},
	
	createActions: function(lazyCreationCallback) {
		Assert.isTrue(false, "subclass must implement MenuAction#createActions"); //$NON-NLS-1$
		return [];
	},
	
	canHandle: function(target, selection) {
		return true;
	},
	
	handle: function(target, selection) {
	},

	// ---- widget implementation ------------------------------------------------------------------------------------------

	__sentinel: null // terminates this class definition
});

})();
