/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2005, 2009. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *******************************************************************************/
dojo.provide("com.ibm.team.apt.web.ui.internal.view.plan.dnd.PlanItemDnDTarget"); //$NON-NLS-1$

dojo.require("com.ibm.team.apt.web.ui.internal.view.plan.dnd.PlanItemDnDSource"); //$NON-NLS-1$

(function() {
	
var PlanItemDnDSource		= com.ibm.team.apt.web.ui.internal.view.plan.dnd.PlanItemDnDSource;

dojo.declare("com.ibm.team.apt.web.ui.internal.view.plan.dnd.PlanItemDnDTarget", //$NON-NLS-1$
		com.ibm.team.apt.web.ui.internal.view.plan.dnd.PlanItemDnDSource, {
	
	_calculatePotentialTarget: function() {
		return this.parent;
	},
	
	__calculateTarget: function() {
		return this.getViewerItem();
	},
	
	__calculateLocation: function(e, targetBox) {
		return com.ibm.team.apt.ui.Move.Child;
	},
	
	__sentinel: null
});

com.ibm.team.apt.web.ui.internal.view.plan.dnd.PlanItemDnDTarget.constructorArgs= function(viewerItem, itemMovePolicy, errorReporter, parent) {
	var result= {
	};

	return dojo.mixin(result, PlanItemDnDSource.constructorArgs(viewerItem, itemMovePolicy, errorReporter, parent)); //$NON-NLS-1$
};

})();
