/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2008, 2009. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *******************************************************************************/
({
	// Reports View
	'sharedReports': "Shared Reports",
	'myReports': "My Reports",
	'createReport': "Create Report",
	'reportColon': "Report: ",
	'report': "Report",
	'newReport': "New Report",
	
	// Report Viewer
	'run': "Run",
	'refresh': "Refresh",
	'loading': "Loading...",
	'loadingReport': "Loading Report",
	'format': "Format: ",
	'parameters': "Parameters",
	'submit': "Submit",
	'save': "Save",
	'closeParameters': "Close Parameters",
	'saveCopy': "Save Copy",
	'name': "Name: ",
	'cancel': "Cancel",
	'missingReqParam': "Missing Required Parameter: ${0}",
	'parametersTooltip': "Click to Edit Parameters",
	'exportTitle': "Export...",
	'nowDefaultReport': "This is now the default report.",
	'setAsDefaultReport': "Set as Default Report",
	'exportOperationNotSupported': "Export operation not supported for this report.",
	'msgProjectAreaIsDifferent': "The project area for this report (${0}) is different from the project area context selected for the page (${1}).",	
	'msgProjectAreaIsDifferentDetails': "The page displayed has a project area context which is selected using the drop-down selection shown in the header. " +
		"This report may display data from a different project area than indicated in the drop-down selection.",
	
	// Reports Welcome
	'welcomeGettingStarted': "To get started, view an existing report by selecting it from the left panel.",
	'welcomeToReports': "Welcome to Reports",
	'welcomeStarted1': "To get started, ",
	'welcomeStarted2': "create a new report ",
	'welcomeStarted3': "or view an existing report by selecting it from the left panel.",
	
	// Report Parameter Messages
	'trueValue': "Yes",
	'falseValue': "No",
	'noSelection': "(No Selection)",
	'zeroSelected': "0 of 0 selected",
	'numSelected': "${0} of ${1} selected",
	'numItemsSelected': "(${0} items selected)",
	'loading': "Loading...",
	'selectAll': "Select All",
	'deSelectAll': "Deselect All",
	'currentIteration': 'Current Iteration',
	'myTeamAreas': 'My Team Areas',
	'currentContributor': 'Current Contributor',
	
	// Report Navigators
	'allTemplates': "All Templates",
	
	// List Box
	'msgLoading': "Loading...",
	
	// Admin Section
	'needSnapshotSelection': "Need a snapshot selected",
	'requestSubmitted': "Request submitted.",
	'waitingForResponse': "Waiting for response.",
	'checkActiveServicesInAdminPage': "Check the Active Services in Admin Page for status.",
	'responseReceived': "Response received.",
	'lastRequestSucceeded': "Last request succeeded.",
	'errorInResponse': "Error in response.",
	'lastRequestFailed': "Last request failed.",
	'schemaDatabaseName': "Schema Database Name: ${0}",
	'schemaVersion': "Schema Version:       ${0}",
	'tableLogicalName': "Table Logical Name:",
	'tableDatabaseName': "Table Database Name:",
	'fieldLogicalName': "Field Logical Name",
	'fieldDatabaseName': "Field Database Name",
	'fieldLogicalType': "Field Logical Type",
	'fieldDatabaseType': "Field Database Type",
	'listAllTables': "List All Tables",
	'updateSnapshotData': "Update Snapshot Data",
	'updateAllSnapshotData': "Update All Snapshot Data",
	
	// New Folder Dialog
	'newFolder': "New Folder",
	'teamArea': "Project/Team Area: ",
	'ok': "OK",
	
	// IncludeArchived
	'includeArchived': "Include Archived",
	
	// FolderWidget
	'newFolderDotDotDot': "New Folder...",
	'rename': "Rename",
	'deleteMsg': "Delete", // Note: do NOT use 'delete' as it is a reserved word
	'newName': "New name:",
	'invalidNameEntered': "Invalid name entered.",
	'confirmDelFolder': "Are you sure you wish to delete this folder and all the reports in it?",
	'newFolderName': "New folder name:",
	
	// QueryWidget
	'confirmDelReport': "Are you sure you wish to delete this report?",
	'isNowDefaultReport': "${0} is now the default report.",
	
	// NewReportEditor
	'description': "Description: ",
	'folder': "Folder: ",
	'template': "Template: ",
	
	// Error messages
	'handleSetAsDefaultError': "Error setting default report: ${0}",
	
	// Plan editor
	'selectReport': "Select Report...",
	
	// Select Report Dialog
	'selectReportTemplate': "Select Report Template",
	'selectTheReportTemplate': "Select the report template to display"
})