/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2008, 2009. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *******************************************************************************/
({
	
	// General Error Messages
	
	'msgUnknownReportType': "No report defined",
	'msgMissingReportID': "Report ID preference value was not specified",
	'msgReportLoadingFailed': "Report loading failed",
	'msgError': "[Error] ${0}",
	'msgWarning': "[Warning] ${0}",
	'msgUnconfiguredReport': "This report is not configured.",
	'msgReportNotDeployed': "Report with ID '${0}' is not deployed to project area '${1}'.",
	'msgReportNotDeployed2': "Report with ID '${0}' is not deployed to the selected project area. Please select a different project area.",
	'msgReadPermissionError': "You do not have permission to read the associated data.",
	'msgWhitelistError': "Failed to retrieve the project areas this report is deployed to.",
	'msgPreferenceLoadingFailure': "[Loading Failed]",
	'msgQueryMismatchError': "Report query ID mismatch encountered.",
	
	// Actionable Status Messages
	
	'msgActionConfigureReport': "Click <0>here</0> to configure this report.",
	'msgActionReportNotDeployed': "Report with ID '${0}' is not deployed to project area '${1}'. Click <0>here</0> to select a different project area.",

	// General Status Messages
	
	'msgAll': "All",
	'msgYes': "Yes",
	'msgNo': "No",
	'msgMyTeamAreas': "My Team Areas",
	'msgCurrentIteration': "Current Iteration",
	'msgLoading': "Loading...",
	'msgProjectArea': "Project Area",
	'msgUndefined': "Undefined",
	
	// Parameters Control Area
	
	'msgShowParameters': "Show Parameters",
	'msgHideParameters': "Hide Parameters",
	
	// Parameter Panel Messages
	
	'msgOK': "OK",
	'msgCancel': "Cancel",
	'msgPreview': "Preview",
	'msgPreviewLabel': "Preview:",
	'msgSelectProject': "Please select a project first.",
	'msgReportParamMissing': "Missing Required Parameter: ${0}",
	'msgNoParametersSelected': "No parameters were selected",
	'msgReportParameterLoadingFailed': "Failed to load report parameters.",
	'msgQuerySaveFailed': "Failed to save the report query.",
	'msgInvalidQueryUUID': "Invalid report query UUID encountered",
	'msgNoQuerySpecified': "No query selected"
	
})