/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2009. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *******************************************************************************/
dojo.provide("com.ibm.team.apt.web.ui.internal.users.WorkDayColumnProvider"); //$NON-NLS-1$

dojo.require("com.ibm.team.apt.web.ui.internal.viewers.ColumnProvider"); //$NON-NLS-1$

dojo.require("dojo.i18n"); //$NON-NLS-1$
dojo.requireLocalization("com.ibm.team.apt.web.ui.internal", "IterationPlanMessages"); //$NON-NLS-1$ //$NON-NLS-2$

(function() {

var MSGS= dojo.i18n.getLocalization("com.ibm.team.apt.web.ui.internal", "IterationPlanMessages"); //$NON-NLS-1$ //$NON-NLS-2$

dojo.declare("com.ibm.team.apt.web.ui.internal.users.WorkDayColumnProvider", //$NON-NLS-1$
			 [com.ibm.team.apt.web.ui.internal.viewers.ColumnProvider], {

	// ---- api ------------------------------------------------------------------------------------------------------------
	
	getColumnCount: function() {
		return 4;
	},
	
	getLabel: function(index) {
		if (index == 0) {
			return MSGS.USER_EDITOR_WORK_DAY_HEADER_DAY;
		} if (index == 1) {
			return MSGS.USER_EDITOR_WORK_DAY_HEADER_TIME;
		} if (index == 2) {
			return MSGS.USER_EDITOR_WORK_DAY_HEADER_QUIT_TIME;
		} if (index == 3) {
			return MSGS.USER_EDITOR_WORK_DAY_HEADER_ACTIONS;
		}
	},
	
	// ---- implementation -------------------------------------------------------------------------------------------------

	__sentinel: null // terminates this class definition
});

})();
