/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2005, 2009. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *******************************************************************************/
dojo.provide("com.ibm.team.apt.web.ui.internal.view.plan.actions.Separator"); //$NON-NLS-1$

dojo.require("com.ibm.team.apt.web.ui.internal.view.plan.actions.Action"); //$NON-NLS-1$

(function() {
	
dojo.declare("com.ibm.team.apt.web.ui.internal.view.plan.actions.Separator", //$NON-NLS-1$
		[com.ibm.team.apt.web.ui.internal.view.plan.actions.Action], {
	
	_id: null,
	
	constructor: function(id) {
		this._id= id;
	},

	// ---- constructor mixed-in properties --------------------------------------------------------------------------------	

	// ---- api ------------------------------------------------------------------------------------------------------------
	
	getId: function() {
		return this._id || "separator"; //$NON-NLS-1$
	},
	
	getName: function() {
		return "Separator"; //$NON-NLS-1$
	},
	
	canHandle: function(target, selection) {
		return true;
	},
	
	handle: function(target, selection) {
	},

	// ---- widget implementation ------------------------------------------------------------------------------------------

	__sentinel: null // terminates this class definition
});

})();
