/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2005, 2009. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *******************************************************************************/
dojo.provide("com.ibm.team.apt.web.ui.internal.view.plan.planneditems.OwnerElementViewerItem"); //$NON-NLS-1$

dojo.require("com.ibm.team.apt.web.ui.internal.view.plan.planneditems.GroupElementViewerItem"); //$NON-NLS-1$
dojo.require("com.ibm.team.apt.web.client.internal.ImageClient"); //$NON-NLS-1$

(function() {

var ImageClient						= com.ibm.team.apt.web.client.internal.ImageClient;

var doc= document;

dojo.declare("com.ibm.team.apt.web.ui.internal.view.plan.planneditems.OwnerElementViewerItem", //$NON-NLS-1$
			 [com.ibm.team.apt.web.ui.internal.view.plan.planneditems.GroupElementViewerItem], {

	constructor: function(entry, parentItem, plannedItemsTab, viewer) {
	},

	// ---- ViewModelViewerItem implementation -----------------------------------------------------------------------------

	_createGroupImageNode: function() {
		var result= doc.createElement("img"); //$NON-NLS-1$
		dojo.addClass(result, "photo"); //$NON-NLS-1$
		result.src= ImageClient.getImageUrl(this._groupElement.getValue().photoURL);
		return result;
	},

	__sentinel: null // terminates this class definition
});


})();
